Qt 5.7 | Qt 3D | C++ Classes | QRenderTarget

Qt 5.7.1 Reference Documentation

# QRenderTarget Class

(Qt3DRender::QRenderTarget)

The QRenderTarget class encapsulates a target (usually a frame buffer object) which the renderer can render into. More...

Header: | #include <QRenderTarget>
qmake: | QT += 3drender
Since: | Qt 5.7
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Public Functions

| QRenderTarget(Qt3DCore::QNode *parent = nullptr)
void | addOutput(QRenderTargetOutput *output)
QVector<QRenderTargetOutput *> | outputs() const
void | removeOutput(QRenderTargetOutput *output)

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QRenderTarget(QRenderTargetPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode
- 1 signal inherited from Qt3DCore::QComponent
- 3 signals inherited from Qt3DCore::QNode

## Detailed Description

The QRenderTarget class encapsulates a target (usually a frame buffer object) which the renderer can render into.

## Member Function Documentation

### QRenderTarget::QRenderTarget(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QRenderTarget.

### `[protected]` QRenderTarget::QRenderTarget(QRenderTargetPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### void QRenderTarget::addOutput(QRenderTargetOutput *output)

Adds a chosen output via output. output

### QVector<QRenderTargetOutput *> QRenderTarget::outputs() const

Returns the chosen outputs.

### void QRenderTarget::removeOutput(QRenderTargetOutput *output)

Removes a chosen output via output. output